org.apache.ode.bpel.iapi

## Enum MessageExchange.MessageExchangePattern

- java.lang.Object
- - java.lang.Enum<MessageExchange.MessageExchangePattern>
  - - org.apache.ode.bpel.iapi.MessageExchange.MessageExchangePattern

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageExchange.MessageExchangePattern>
  Enclosing interface:
    MessageExchange

      public static enum MessageExchange.MessageExchangePattern
      extends java.lang.Enum<MessageExchange.MessageExchangePattern>

  Enumeration of message exchange patterns.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REQUEST_ONLY`
    `REQUEST_RESPONSE`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageExchange.MessageExchangePattern` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageExchange.MessageExchangePattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUEST_ONLY

          public static final MessageExchange.MessageExchangePattern REQUEST_ONLY

    - #### REQUEST_RESPONSE

          public static final MessageExchange.MessageExchangePattern REQUEST_RESPONSE

    - #### UNKNOWN

          public static final MessageExchange.MessageExchangePattern UNKNOWN

  - ### Method Detail

    - #### values

          public static MessageExchange.MessageExchangePattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageExchange.MessageExchangePattern c : MessageExchange.MessageExchangePattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageExchange.MessageExchangePattern valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null